> For the complete documentation index, see [llms.txt](https://help.enterprise.ledger.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.enterprise.ledger.com/api-documentation/reference/api-reference/users/search-users.md).

# Search Users

## Search User

> Use the following parameters to search users.

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"80fbdca"},"tags":[],"security":[{"Ledger_API_Key":[],"Ledger_API_User":[]},{"Ledger_API_Key":[],"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_Key":{"description":"If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, [see step 5 of the get started documentation](https://help.vault.ledger.com/Content/api/api_getstarted.html).","in":"header","name":"X-Ledger-API-Key","type":"apiKey"},"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"_APISearchUserResults":{"properties":{"edges":{"items":{"$ref":"#/components/schemas/UserSearchResult"},"type":"array"},"page_info":{"$ref":"#/components/schemas/APISearchPageInfo"}},"required":["edges","page_info"],"type":"object"},"UserSearchResult":{"properties":{"cursor":{"type":"integer"},"node":{"$ref":"#/components/schemas/User"}},"required":["cursor","node"],"type":"object"},"User":{"additionalProperties":false,"properties":{"created_by":{"type":"integer"},"created_on":{"format":"date-time","type":"string"},"id":{"type":"integer"},"is_api":{"type":"boolean"},"key_handle":{"default":null,"nullable":true,"type":"string"},"last_request":{"default":null,"nullable":true,"type":"integer"},"pub_key":{"default":null,"nullable":true,"type":"string"},"role":{"oneOf":[{"enum":["ADMIN","ADMIN_SYSTEM","OPERATOR","SHARED_OWNER","WRAPPING_KEYS"],"type":"string"},{"enum":["READ_ONLY_API_KEY"],"type":"string"}]},"status":{"oneOf":[{"enum":["ACCESS_SUSPENDED","ACTIVE","APPROVED","PENDING_APPROVAL","PENDING_REGISTRATION","PENDING_REVOCATION","REJECTED","REVOKED"],"type":"string"},{"enum":["ABORTED","ACTIVE","PENDING_APPROVAL","PENDING_SECRET","REVOKED","SUSPENDED"],"type":"string"}]},"user_id":{"default":null,"nullable":true,"type":"string"},"username":{"type":"string"}},"required":["created_by","created_on","id","is_api","role","status","username"],"type":"object"},"APISearchPageInfo":{"properties":{"count":{"type":"integer"},"has_next_page":{"type":"boolean"}},"required":["count","has_next_page"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/users":{"get":{"summary":"Search User","tags":["Users"],"description":"Use the following parameters to search users.","parameters":[{"name":"account","in":"query","description":"Returns objects created in the provided account.","required":false,"schema":{"default":null,"nullable":true,"type":"integer"}},{"name":"created_after","in":"query","description":"Returns objects created after the entered date.","required":false,"schema":{"default":null,"format":"date-time","nullable":true,"type":"string"}},{"name":"created_before","in":"query","description":"Returns objects created before the entered date.","required":false,"schema":{"default":null,"format":"date-time","nullable":true,"type":"string"}},{"name":"group","in":"query","description":"Lists users who belong to the entered groups.","required":false,"schema":{"default":null,"nullable":true,"type":"integer"}},{"name":"id","in":"query","description":"Returns the object corresponding to the entered ID","required":false,"schema":{"default":null,"nullable":true,"type":"integer"}},{"name":"order","in":"query","description":"Orders the list of results","required":false,"schema":{"default":null,"enum":[null,"asc","desc"],"nullable":true,"type":"string"}},{"name":"order_by","in":"query","description":"criteria to order by","required":false,"schema":{"default":null,"nullable":true,"type":"string"}},{"name":"page","in":"query","description":"Defines the page number to be fetched.","required":false,"schema":{"default":1,"minimum":1,"nullable":true,"type":"integer"}},{"name":"page_size","in":"query","description":"Defines the number of elements displayed on a page.\n        Must be a positive number with 0 and -1 return a maximum defined in the gate","required":false,"schema":{"default":20,"minimum":-1,"nullable":true,"type":"integer"}},{"name":"role","in":"query","description":"Returns object who hold the selected user role.","required":false,"schema":{"default":null,"enum":[null,"ADMIN","ADMIN_SYSTEM","OPERATOR","SHARED_OWNER","WRAPPING_KEYS"],"nullable":true,"type":"string"}},{"name":"status","in":"query","description":"Returns users who match the selected status.","required":false,"schema":{"default":null,"enum":[null,"ACCESS_SUSPENDED","ACTIVE","APPROVED","PENDING_APPROVAL","PENDING_REGISTRATION","PENDING_REVOCATION","REJECTED","REVOKED"],"nullable":true,"type":"string"}},{"name":"username","in":"query","description":"Returns the object who has the entered username.","required":false,"schema":{"default":null,"nullable":true,"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/_APISearchUserResults"}}},"description":"User search results"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid search parameters"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/reference/api-reference/users/search-users.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
